package proc

import (
	ssh "git.tcp.direct/bfu/glider-ssh"
	"sync"
)

type Process struct {
	mu  *sync.Mutex
	srv *ssh.Server
}

func New(srv *ssh.Server) *Process {
	return &Process{
		mu:  &sync.Mutex{},
		srv: srv,
	}
}

func (p *Process) Server() *ssh.Server {
	return p.srv
}

func (p *Process) Start(srv *ssh.Server) {
	if p.srv == nil {
		p.mu.Lock()
		p.srv = srv
		defer p.mu.Unlock()
	}
}
